Update webhook
curl --request PATCH \
--url https://management-api.fpjs.io/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Version: <x-api-version>' \
--data '
{
"url": "https://website.com/webhook",
"description": "My Webhook",
"environment": {}
}
'import requests
url = "https://management-api.fpjs.io/webhooks/{id}"
payload = {
"url": "https://website.com/webhook",
"description": "My Webhook",
"environment": {}
}
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-API-Version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: 'https://website.com/webhook', description: 'My Webhook', environment: {}})
};
fetch('https://management-api.fpjs.io/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wh_HYv9YfsIIUjpvR",
"description": "My Webhook",
"verified": false,
"environment": {},
"url": "https://website.com/webhook",
"legacy": true,
"basic_auth": {},
"created_at": "2023-11-07T05:31:56Z",
"signing_key": "<string>",
"last_enabled_at": {},
"last_disabled_at": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}webhooks
Update webhook
deprecated
Updates the webhook with the given ID. You can update the name, description, status, URL, and set basic authentication. Changing the URL will require this webhook to be verified again. Changing the status will disable/enable sending of identification events to your webhook.
PATCH
/
webhooks
/
{id}
Update webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Path Parameters
Webhook ID
Body
application/json
URL of the webhook endpoint. Must start with https://.
Example:
"https://website.com/webhook"
Description of the webhook.
Example:
"My Webhook"
Status of the webhook: 'enabled' or 'disabled'.
Available options:
enabled, disabled Environment ID this webhook is associated with. Null if global.
Response
Webhook updated. Changes will take effect in a few minutes.
Show child attributes
Show child attributes
Was this page helpful?
⌘I